# include <iostream>
#include <cmath>
using namespace std;

int main () {
    int n;
    cin >> n;
    long long s = 1;
    long long i = 2;
    while (i < (sqrt(n))) {
        if (n % i == 0) {
            s += 1;
        }
        i++;
    }
    i = 2;
    long long j;
    int y = 0;
    while (pow(2, y) <= n) {
        y++;
    }
    y--;
    int d = 2;
    while (d <= y) {
        while (pow(i, d) <= n) {
            j = pow(i, d);
            if (n % j == 0) {
                s += 1;
            }
            i++;
        }
        d++;
    }
    cout << s;
    return 0;
}
